using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 商品マスタ
    [Table("MST_ITEM")]
    public class MST_ITEMModel
    {
        // 商品コード
        [Key]
        [Required]
        [Column("ITEM_CODE")]
        [StringLength(13)]
        public string ITEM_CODE { get; set; }

        // 商品名
        [Column("ITEM_NAME")]
        [StringLength(100)]
        public string ITEM_NAME { get; set; }

        // 商品略称
        [Column("ITEM_SHORT_NAME")]
        [StringLength(50)]
        public string ITEM_SHORT_NAME { get; set; }

        // 商品種別
        [Column("ITEM_CATEGORY")]
        [StringLength(3)]
        public string ITEM_CATEGORY { get; set; }

        // 登録者
        [Column("REGIST_PERSON")]
        [StringLength(5)]
        public string REGIST_PERSON { get; set; }

        // 登録日時
        [Column("REGIST_DATETIME")]
        public DateTime? REGIST_DATETIME { get; set; }

        // 更新者
        [Column("EDIT_PERSON")]
        [StringLength(5)]
        public string EDIT_PERSON { get; set; }

        // 更新日時
        [Column("EDIT_DATETIME")]
        public DateTime? EDIT_DATETIME { get; set; }
    }
}