using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 担当者マスタ
    [Table("MST_PERSON")]
    public class MST_PERSONModel
    {
        // 担当者コード
        [Key]
        [Required]
        [Column("PERSON_CODE")]
        [StringLength(5)]
        public string PERSON_CODE { get; set; }

        // 担当者名
        [Column("PERSON_NAME")]
        [StringLength(100)]
        public string PERSON_NAME { get; set; }

        // 担当者部署
        [Column("PERSON_DIVISION")]
        [StringLength(50)]
        public string PERSON_DIVISION { get; set; }

        // 担当者連絡先
        [Column("PERSON_PHON_NO")]
        [StringLength(15)]
        public string PERSON_PHON_NO { get; set; }

        // 登録者
        [Column("REGIST_PERSON")]
        [StringLength(5)]
        public string REGIST_PERSON { get; set; }

        // 登録日時
        [Column("REGIST_DATETIME")]
        public DateTime? REGIST_DATETIME { get; set; }

        // 更新者
        [Column("EDIT_PERSON")]
        [StringLength(5)]
        public string EDIT_PERSON { get; set; }

        // 更新日時
        [Column("EDIT_DATETIME")]
        public DateTime? EDIT_DATETIME { get; set; }
    }
}