using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 仕入先マスタ
    [Table("MST_SUPPLIER")]
    public class MST_SUPPLIERModel
    {
        // 仕入先コード
        [Key]
        [Required]
        [Column("SUPPLIER_CODE")]
        [StringLength(4)]
        public string SUPPLIER_CODE { get; set; }

        // 仕入先名
        [Column("SUPPLIER_NAME")]
        [StringLength(100)]
        public string SUPPLIER_NAME { get; set; }

        // 仕入先略称
        [Column("SUPPLIER_SHORT_NAME")]
        [StringLength(50)]
        public string SUPPLIER_SHORT_NAME { get; set; }

        // 仕入先連絡先
        [Column("SUPPLIER_PHONE_NO")]
        [StringLength(15)]
        public string SUPPLIER_PHONE_NO { get; set; }

        // 仕入先担当者
        [Column("SUPPLIER_PIC")]
        [StringLength(100)]
        public string SUPPLIER_PIC { get; set; }

        // 登録者
        [Column("REGIST_PERSON")]
        [StringLength(5)]
        public string REGIST_PERSON { get; set; }

        // 登録日時
        [Column("REGIST_DATETIME")]
        public DateTime? REGIST_DATETIME { get; set; }

        // 更新者
        [Column("EDIT_PERSON")]
        [StringLength(5)]
        public string EDIT_PERSON { get; set; }

        // 更新日時
        [Column("EDIT_DATETIME")]
        public DateTime? EDIT_DATETIME { get; set; }
    }
}