from django.contrib import admin
from .models import ItemCategory, Item, Person, Supplier, PurchaseInformation

# (comment Start)ModelAdminクラスの作成(comment End)
@admin.register(ItemCategory)
class ItemCategoryAdmin(admin.ModelAdmin):
    list_display = ['item_category', 'item_category_name']

@admin.register(Item)
class ItemAdmin(admin.ModelAdmin):
    list_display = ['item_code', 'item_name', 'item_short_name']

@admin.register(Person)
class PersonAdmin(admin.ModelAdmin):
    list_display = ['person_code', 'person_name']

@admin.register(Supplier)
class SupplierAdmin(admin.ModelAdmin):
    list_display = ['supplier_code', 'supplier_name', 'supplier_short_name']

@admin.register(PurchaseInformation)
class PurchaseInformationAdmin(admin.ModelAdmin):
    list_display = ['purchase_no']