using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 商品種別マスタ
    [Table("MST_ITEM_CATEGORY")]
    public class MST_ITEM_CATEGORYModel
    {
        // 商品種別
        [Key]
        [Required]
        [Column("ITEM_CATEGORY")]
        [StringLength(3)]
        public string ITEM_CATEGORY { get; set; }

        // 商品種別名
        [Column("ITEM_CATEGORY_NAME")]
        [StringLength(50)]
        public string ITEM_CATEGORY_NAME { get; set; }

        // 登録者
        [Column("REGIST_PERSON")]
        [StringLength(5)]
        public string REGIST_PERSON { get; set; }

        // 登録日時
        [Column("REGIST_DATETIME")]
        public DateTime? REGIST_DATETIME { get; set; }

        // 更新者
        [Column("EDIT_PERSON")]
        [StringLength(5)]
        public string EDIT_PERSON { get; set; }

        // 更新日時
        [Column("EDIT_DATETIME")]
        public DateTime? EDIT_DATETIME { get; set; }
    }
}